
Foreman - Bug #4602

misleading error regarding host name when creating a host

03/09/2014 02:31 PM - Alissa Bonas

Status: New   

Priority: Low   

Assignee:    

Category: Host creation   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When trying to create a new host, try to input a name , something like "host1".

Click 'submit'.

The system automatically adds a period (.) after "host1", so the name becomes "host1.",

and it displays this error: "must not include periods and is invalid"

1. If the system adds the period by itself, it should not fail as a wrong input.

2. It's not clear from user's point of view how to fix it if the system adds the period by itself. (and why this character is added anyway)

If a domain is needed, it should be clear from a message/tooltip that fqdn is expected as part of host name.

3. What means "and is invalid" - what else is wrong?

Please clarify the error message/make this flow more user friendly.

thank you

Related issues:

Related to Foreman - Bug #4680: Regression: Hosts with no domain cannot be cr... Closed 03/17/2014

Is duplicate of Foreman - Bug #5834: Hosts: "." in the name is invalid - user... Closed 05/20/2014

History

#1 - 03/10/2014 08:17 AM - Dominic Cleal

- Category set to Host creation

Do you have unattended in config/settings.yaml set to true or false?

#2 - 03/10/2014 09:08 AM - Alissa Bonas

it's set to true:

:unattended: true

#3 - 03/17/2014 06:19 PM - Oscar Ferrer

The same happens to me in one customer. By I have :unattended: set to false.

#4 - 03/17/2014 06:19 PM - Oscar Ferrer

Sorry. I meant 'But I have :unattended: set to false'

#5 - 03/17/2014 07:38 PM - Greg Sutcliffe

- Related to Bug #4680: Regression: Hosts with no domain cannot be created when Unattended=false added

#6 - 03/17/2014 07:39 PM - Greg Sutcliffe

Oscar, I've created http://projects.theforeman.org/issues/4680 for your issue as it's not quite the same as this one.

#7 - 03/17/2014 07:49 PM - Oscar Ferrer

Big Thanks. This solves both issues for me.
#8 - 06/06/2014 05:28 PM - Dominic Cleal

- Is duplicate of Bug #5834: Hosts: "." in the name is invalid - user is told this but the UI adds one anyway. added

#9 - 06/06/2014 05:29 PM - Dominic Cleal

The misleading error message has been fixed in #5834, so it no longer adds a period and then complains about it being there.  However I think your

point about "is invalid" is erm, valid, so will leave this open.  The requirement for an FQDN and/or domain should be clearer, particularly as the

domain is on another tab.
